Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.pk
Class CertPathValidatorParameters

    java.lang.Object
      weblogic.security.pk.CertPathValidatorParameters

All Implemented Interfaces:
  Cloneable, CertPathParameters

    public final class CertPathValidatorParameters

extends Object
implements CertPathParameters

The certification path validator parameters that a caller must use to access the WebLogic Server Certificate Lookup and Validation (CLV) Framework via the JDK's CertPathValidator API.

Pass an instance of CertPathValidatorParameters as the CertPathParameters object to the JDK's CertPathValidator.validate() method.

For more information, see the sections that describe certification paths in "Programming WebLogic Security" on http://edocs.bea.com.

See Also:
  `CertPathValidator`

Constructor Summary
`CertPathValidatorParameters(String realmName, X509Certificate[] trustedCAs, ContextHandler context)` Construct a CertPathValidatorParameters.

Method Summary
`Object` | `clone()` This class is not cloneable.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertPathValidatorParameters

    public CertPathValidatorParameters(String realmName,
                                       X509Certificate[] trustedCAs,
                                       ContextHandler context)

  Construct a CertPathValidatorParameters. You must provide `realmName`.

  You can provide a list of trusted certificate authorities (CAs) for use when validating the certification path. If `trustedCAs` is `null`, the default set of trusted CAs configured for the server is used.

  You can also provide a ContextHandler object containing extra parameters for use when validating the certification path. Setting `context` to `null` indicates that there are no context parameters.

  Parameters:
    `realmName` - The name of the security realm (for example, `myrealm`)
    `trustedCAs` - Optional list of trusted certificate authorities
    `context` - Optional additional certification-path validation parameters
  Throws:
    `IllegalArgumentException` - if realmName is `null` or empty

Method Detail

### clone

    public Object clone()

  This class is not cloneable.

  Specified by:
    `clone` in interface `CertPathParameters`
  Overrides:
    `clone` in class `Object`
  Throws:
    `UnsupportedOperationException` - when called.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD